%define		_class		Net
%define		_subclass	URL2
%define		upstream_name	%{_class}_%{_subclass}

%define		_requires_exceptions pear(PHPUnit

Summary:	Class for parsing and handling URL
Name:		php-pear-%{upstream_name}
Version:	2.0.0
Release:	%mkrel 3
License:	BSD
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_URL2/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Provides parsing of URLs into their constituent parts (scheme, host, path
etc.), URL generation, and resolving of relative URLs.

%prep

%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

%post
%if %mdkversion < 201000
pear install --nodeps --soft --force --register-only \
    %{_datadir}/pear/packages/%{upstream_name}.xml >/dev/null || :
%endif

%preun
%if %mdkversion < 201000
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only \
        %{upstream_name} >/dev/null || :
fi
%endif

%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml



%changelog
* Fri Dec 16 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-3mdv2012.0
+ Revision: 741804
- fix major breakage by careless packager
- rebuild
- rebuild
- rebuild

* Wed Dec 14 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.0.0
+ Revision: 741296
- starting over in an attemp to build these and move them to main...

* Wed Dec 14 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-2
+ Revision: 741226
- rebuild

* Wed Dec 14 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1
+ Revision: 741202
- import php-pear-Net_URL2


* Wed Dec 14 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1
- initial Mandriva package
